﻿using Blazor.Models;
using Blazor.Services;
using Microsoft.AspNetCore.Components;

namespace Blazor.Pages.Admins
{
    public partial class EditAdministrator
    {

        [Parameter]
        public int Id { get; set; }

        private AdministratorsModel administratorsModel = new();

        [Inject]
        public IDataService DataService { get; set; }

        [Inject]
        public NavigationManager NavigationManager { get; set; }

        [Inject]
        public IWebHostEnvironment WebHostEnvironment { get; set; }

        protected override async Task OnInitializedAsync()
        {
            var administrator = await DataService.GetAdminById(Id);

            // Set the model with the admin
            administratorsModel = new AdministratorsModel
            {
                Id = administrator.Id,
                Username = administrator.Username
            };
        }

        private async void HandleValidSubmit()
        {
            await DataService.Update(Id, administratorsModel);

            NavigationManager.NavigateTo("administrators");
        }
    }
}
