﻿using Blazor.Models;
using Blazor.ViewClasses;

namespace Blazor.Services
{
    public interface IDataService
    {
        Task Add(ChapterModel model);

        Task<int> Count();

        Task<List<Chapter>> List(int currentPage, int pageSize);

        Task<Chapter> GetById(int id);

        Task Update(int id, ChapterModel model);

        Task Add(AdministratorsModel model);

        Task Update(int id, AdministratorsModel model);

        Task<Administrator> GetAdminById(int id);

        Task<int> CountAdmin();
        Task<List<Administrator>> ListAdmin(int currentPage, int pageSize);

        //Task Add(QuestionsModel model);

        //Task Update(int id, QuestionsModel model);

        Task<Question> GetQuestionById(int id);

        Task<int> CountQuestion();
        Task<List<Question>> ListQuestion(int currentPage, int pageSize);

        Task Delete(int id);

    }
}
